Summary:	Newt Syrup is an app framework built on top of Newt
Name:		python-newt_syrup
Version:	0.1.2
Release:	1%{?dist}
License:	LGPLv2+
Url:		http://newt-syrup.fedorahosted.org/
Source: 	http://mcpierce.fedorapeople.org/rpms/newt_syrup-%{version}.tar.gz
Group:		Development/Libraries
BuildRoot:	%{_tmppath}/newt_syrup-%{version}-%{release}-buildroot
BuildArch:	noarch
Requires:	newt >= 0.52.11
BuildRequires:	python-devel python-setuptools

%description
Newt Syrup is an app framework built on top of Newt. It provides a set of
classes for creating text-based applications. Developers can use the widgets
provided by Newt and the framework provided by Syrup to create full text-based
applications in Python.

%prep
%setup -q -n newt_syrup-%{version}

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING
%{python_sitelib}/*

%changelog
* Wed Jul 13 2011 Darryl L. Pierce <dpierce@redhat.com> - 0.1.2-1
 - Added utils.py module.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Sep 10 2010 Darryl L. Pierce <dpierce@redhat.com> - 0.1.1-1
 - Added support for color sets.
 - Added support for using compact buttons.
 - Fixed the option model for SelectionListConfigScreen.
 - Added support for full screen applications.
 - Added dialog boxes.

* Fri Aug  5 2010 Darryl L. Pierce <dpierce@redhat.com> - 0.1.0-6
- First official build for Fedora.

* Thu Aug  5 2010 Darryl L. Pierce <dpierce@redhat.com> - 0.1.0-5
- Fixed License to be LGPLv2+.

* Wed Aug  4 2010 Darryl L. Pierce <dpierce@redhat.com> - 0.1.0-4
- Revamped the packaging for the tarball to fix some delivery problems.
- Used python-mwlib as a guide.

* Wed Aug  4 2010 Darryl L. Pierce <dpierce@redhat.com> - 0.1.0-3
- Removed unneeded elements in the spec file, per review request.

* Tue Aug  3 2010 Darryl L. Pierce <dpierce@redhat.com> - 0.1.0-2
- Moved all source modules up one level.
- Removed a duplicate entry in the macros list of the spec.

* Tue Aug  3 2010 Darryl L. Pierce <dpierce@redhat.com> - 0.1.0-1
- Initial build candidate for Fedora.
